GET v1/Reports/GetEmployeeActiveRates?startDate={startDate}&endDate={endDate}
Returns All Employee Active Rates
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| startDate |
The Range Start Date. e.g 2014-01-01 |
date |
Required |
| endDate |
The Range End Date. e.g 2014-01-01 |
date |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of vwEmployeeRate| Name | Description | Type | Additional information |
|---|---|---|---|
| EmployeeID | integer |
None. |
|
| RateCode | string |
None. |
|
| StartDate | date |
None. |
|
| Rate | decimal number |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"EmployeeID": 1,
"RateCode": "sample string 2",
"StartDate": "2026-05-14T10:20:28.5933223-04:00",
"Rate": 3.0
},
{
"EmployeeID": 1,
"RateCode": "sample string 2",
"StartDate": "2026-05-14T10:20:28.5933223-04:00",
"Rate": 3.0
}
]
application/xml, text/xml
Sample:
<ArrayOfvwEmployeeRate xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BDBPayroll.TimeAttendance.Entities">
<vwEmployeeRate>
<EmployeeID>1</EmployeeID>
<RateCode>sample string 2</RateCode>
<StartDate>2026-05-14T10:20:28.5933223-04:00</StartDate>
<Rate>3</Rate>
</vwEmployeeRate>
<vwEmployeeRate>
<EmployeeID>1</EmployeeID>
<RateCode>sample string 2</RateCode>
<StartDate>2026-05-14T10:20:28.5933223-04:00</StartDate>
<Rate>3</Rate>
</vwEmployeeRate>
</ArrayOfvwEmployeeRate>